From aa1808d2b7ea68f18fe0f916fce25a500cfdd42f Mon Sep 17 00:00:00 2001
From: reshke kirill <reshke@double.cloud>
Date: Fri, 1 Nov 2024 17:56:23 +0000
Subject: [PATCH v6 1/4] Enhance tab completion to ALTER TYPE ADD ATTRIBUTE

Now psql will complete
ALTER TYPE <typname> ADD ATTRIBUTE <attname>
with possible datatypes

Author: Kirill Reshke <reshkekirill@gmail.com>
Reviewed-By: Karina Litskevich <litskevichkarina@gmail.com>
---
 src/bin/psql/tab-complete.in.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/psql/tab-complete.in.c b/src/bin/psql/tab-complete.in.c
index bbd08770c3d..d2c7f940008 100644
--- a/src/bin/psql/tab-complete.in.c
+++ b/src/bin/psql/tab-complete.in.c
@@ -2999,6 +2999,9 @@ match_previous_words(int pattern_id,
 	 */
 	else if (Matches("ALTER", "TYPE", MatchAny, "ALTER|DROP|RENAME", "ATTRIBUTE"))
 		COMPLETE_WITH_ATTR(prev3_wd);
+	/* complete ALTER TYPE ADD ATTRIBUTE <foo> with list of types */
+	else if (Matches("ALTER", "TYPE", MatchAny, "ADD", "ATTRIBUTE", MatchAny))
+		COMPLETE_WITH_SCHEMA_QUERY(Query_for_list_of_datatypes);
 	/* ALTER TYPE ALTER ATTRIBUTE <foo> */
 	else if (Matches("ALTER", "TYPE", MatchAny, "ALTER", "ATTRIBUTE", MatchAny))
 		COMPLETE_WITH("TYPE");
-- 
2.34.1

